FreeMat

- Main Page
- Related Pages

vtkGeoProjectionSource

Section: Visualization Toolkit Geo Vis Classes

# Usage

vtkGeoProjectionSource is a vtkGeoSource suitable for use in vtkTerrain2D. This source uses the libproj4 library to produce geometry patches at multiple resolutions. Each patch covers a specific region in projected space.

To create an instance of class vtkGeoProjectionSource, simply invoke its constructor as follows

      obj = vtkGeoProjectionSource

# Methods

The class vtkGeoProjectionSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoProjectionSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoProjectionSource = obj.NewInstance ()`
- `vtkGeoProjectionSource = obj.SafeDownCast (vtkObject o)`
- `vtkGeoProjectionSource = obj.()`
- `~vtkGeoProjectionSource = obj.()`
- `bool = obj.FetchRoot (vtkGeoTreeNode root)` - Blocking methods for sources with low latency.
- `bool = obj.FetchChild (vtkGeoTreeNode node, int index, vtkGeoTreeNode child)` - Blocking methods for sources with low latency.
- `int = obj.GetProjection ()` - The projection ID defining the projection. Initial value is 0.
- `obj.SetProjection (int projection)` - The projection ID defining the projection. Initial value is 0.
- `int = obj.GetMinCellsPerNode ()` - The minimum number of cells per node.
- `obj.SetMinCellsPerNode (int )` - The minimum number of cells per node.
- `vtkAbstractTransform = obj.GetTransform ()` - Return the projection transformation used by this 2D terrain.